Exponential expression

- « pi

- rad2deg »

- PHP Manual
- Math Functions
- Exponential expression

# pow

(PHP 4, PHP 5, PHP 7, PHP 8)

pow — Exponential expression

### Description

pow(mixed `$num`, mixed `$exponent`): int|float|object

Returns `num` raised to the power of `exponent`.

> Note:

> It is possible to use the ** operator instead.

### Parameters

`num`

  The base to use

`exponent`

  The exponent

### Return Values

`num` raised to the power of `exponent`. If both arguments are non-negative integers and the result can be represented as an integer, the result will be returned with int type, otherwise it will be returned as a float.

### Examples

Example #1 Some examples of pow()

    <?phpvar_dump(pow(2, 8)); // int(256)echo pow(-1, 20); // 1echo pow(0, 0); // 1echo pow(10, -1); // 0.1echo pow(-1, 5.5); // NAN?>

### Notes

> Note:

> This function will convert all input to a number, even non-scalar values, which could lead to weird results.

### See Also

- exp() - Calculates the exponent of e
- sqrt() - Square root
- bcpow() - Raise an arbitrary precision number to another
- gmp_pow() - Raise number into power